//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package nc.vo.mmpub.setanalysis.entity;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

public class SaDemandVO extends SuperVO {
    public static final String TABLENAME = "mm_sademand";
    public static final String DR = "dr";
    private String pk_analysis;
    public static final String PK_ANALYSIS = "pk_analysis";
    public static final String PK_DEMAND = "pk_demand";
    public static final String PK_GROUP = "pk_group";
    public static final String PK_ORG = "pk_org";
    public static final String PK_ORG_V = "pk_org_v";
    public static final String SORTCODE = "sortcode";
    public static final String FDEMANDTYPE = "fdemandtype";
    public static final String FMATCHTYPE = "fmatchtype";
    public static final String VDEMANDTYPECODE = "vdemandtypecode";
    public static final String VDEMANDCODE = "vdemandcode";
    public static final String CDEMANDBILLID = "cdemandbillid";
    public static final String CDEMANDBILLBID = "cdemandbillbid";
    public static final String VDEMANDROWNO = "vdemandrowno";
    public static final String PK_DEMANDORG = "pk_demandorg";
    public static final String PK_DEMANDORG_V = "pk_demandorg_v";
    public static final String DEMANDTIME = "demandtime";
    public static final String DEMANDTBEFOREADPTER = "demandtbeforeadpter";
    public static final String NDEMANDNUM = "ndemandnum";
    public static final String DMATCHDATE = "dmatchdate";
    public static final String NSUPPLYNUM = "nsupplynum";
    public static final String NBILLNUM = "nbillnum";
    public static final String NRESERVATIONNUM = "nreservationnum";
    public static final String NNOTIMPLEMENTDNUM = "nnotimplementdnum";
    public static final String NIMPLEMENTDNUM = "nimplementdnum";
    public static final String NREMAINNUM = "nremainnum";
    public static final String NMATERIALNUM = "nmaterialnum";
    public static final String NSETSNUM = "nsetsnum";
    public static final String VBOMVERSION = "vbomversion";
    public static final String CBOMVERSIONID = "cbomversionid";
    public static final String CMATERIALID = "cmaterialid";
    public static final String CMATERIALVID = "cmaterialvid";
    public static final String CVENDORID = "cvendorid";
    public static final String CPRODUCTORID = "cproductorid";
    public static final String CPROJECTID = "cprojectid";
    public static final String CCUSTOMERID = "ccustomerid";
    public static final String VFREE1 = "vfree1";
    public static final String VFREE2 = "vfree2";
    public static final String VFREE3 = "vfree3";
    public static final String VFREE4 = "vfree4";
    public static final String VFREE5 = "vfree5";
    public static final String VFREE6 = "vfree6";
    public static final String VFREE7 = "vfree7";
    public static final String VFREE8 = "vfree8";
    public static final String VFREE9 = "vfree9";
    public static final String VFREE10 = "vfree10";
    public static final String CREATOR = "creator";
    public static final String CREATIONTIME = "creationtime";
    public static final String VSRCTYPE = "vsrctype";
    public static final String VSRCCODE = "vsrccode";
    public static final String VSRCID = "vsrcid";
    public static final String VSRCBID = "vsrcbid";
    public static final String VSRCROWNO = "vsrcrowno";
    public static final String VFIRSTTYPE = "vfirsttype";
    public static final String VFIRSTCODE = "vfirstcode";
    public static final String VFIRSTID = "vfirstid";
    public static final String VFIRSTBID = "vfirstbid";
    public static final String VFIRSTROWNO = "vfirstrowno";
    public static final String VFATHERID = "vfatherid";
    public static final String VMATCHFATHERID = "vmatchfatherid";
    public static final String COMPUTECODE = "computecode";
    public static final String LEVELCODE = "levelcode";
    public static final String CGROUPKEY = "cgroupkey";
    public static final String HNPARENTNUM = "hnparentnum";
    public static final String NITEMNUM = "nitemnum";
    public static final String NMATCHNUM = "nmatchnum";
    public static final String CMEASUREID = "cmeasureid";
    public static final String NDISSIPATIONUM = "ndissipationum";
    public static final String VDEF1 = "vdef1";
    public static final String VDEF2 = "vdef2";
    public static final String VDEF3 = "vdef3";
    public static final String VDEF4 = "vdef4";
    public static final String VDEF5 = "vdef5";
    public static final String VDEF6 = "vdef6";
    public static final String VDEF7 = "vdef7";
    public static final String VDEF8 = "vdef8";
    public static final String VDEF9 = "vdef9";
    public static final String VDEF10 = "vdef10";
    public static final String VDEF11 = "vdef11";
    public static final String VDEF12 = "vdef12";
    public static final String VDEF13 = "vdef13";
    public static final String VDEF14 = "vdef14";
    public static final String VDEF15 = "vdef15";
    public static final String VDEF16 = "vdef16";
    public static final String VDEF17 = "vdef17";
    public static final String VDEF18 = "vdef18";
    public static final String VDEF19 = "vdef19";
    public static final String VDEF20 = "vdef20";
    public static final String IBASENUM = "ibasenum";
    public static final String CCUSTMATERIALID = "ccustmaterialid";
    public static final String CPACKBOMID = "cpackbomid";
    public static final String PRODUCTION = "production";
    public static final String NREPLACEQUOTIETY = "nreplacequotiety";
    public static final String NREPLACEORDER = "nreplaceorder";
    public static final String NUNITNUM = "nunitnum";
    public static final String NUSEDNUM = "nusednum";
    public static final String NNOTUSEDNUM = "nnotusednum";
    public static final String NACCOUTNUM = "naccoutnum";
    public static final String CDEPTID = "cdeptid";
    public static final String CDEPTVID = "cdeptvid";
    public static final String ANALYSISORDER = "analysisorder";
    public static final String WASTERRATE = "wasterrate";
    public static final String FREPLACETYPE = "freplacetype";
    public static final String CFFILEID = "cffileid";
    public static final String VMGROUPCODE = "vmgroupcode";
    public static final String VRGROUPCODE = "vrgroupcode";
    public static final String CMAINMATERIALID = "cmainmaterialid";
    public static final String CMAINMATERIALVID = "cmainmaterialvid";
    public static final String BGROUPREPL = "bgrouprepl";
    public static final String BGROUPKEY = "bgroupkey";
    public static final String NREPLACESETSNUM = "nreplacesetsnum";

    // 物料的总行数
    public static final String GOODSNUM = "goodsnum";
    // 满足齐套的物料的行数
    public static final String PASS_GOODSNUM = "pass_goodsnum";

    public String getPk_analysis() {
        return (String)this.getAttributeValue("pk_analysis");
    }

    public void setPk_analysis(String newPk_analysis) {
        this.setAttributeValue("pk_analysis", newPk_analysis);
    }

    public String getPk_demand() {
        return (String)this.getAttributeValue("pk_demand");
    }

    public void setPk_demand(String newPk_demand) {
        this.setAttributeValue("pk_demand", newPk_demand);
    }

    public String getPk_group() {
        return (String)this.getAttributeValue("pk_group");
    }

    public void setPk_group(String newPk_group) {
        this.setAttributeValue("pk_group", newPk_group);
    }

    public String getPk_org() {
        return (String)this.getAttributeValue("pk_org");
    }

    public void setPk_org(String newPk_org) {
        this.setAttributeValue("pk_org", newPk_org);
    }

    public String getPk_org_v() {
        return (String)this.getAttributeValue("pk_org_v");
    }

    public void setPk_org_v(String newPk_org_v) {
        this.setAttributeValue("pk_org_v", newPk_org_v);
    }

    public Integer getSortcode() {
        return (Integer)this.getAttributeValue("sortcode");
    }

    public void setSortcode(Integer newSortcode) {
        this.setAttributeValue("sortcode", newSortcode);
    }

    public Integer getFdemandtype() {
        return (Integer)this.getAttributeValue("fdemandtype");
    }

    public void setFdemandtype(Integer newFdemandtype) {
        this.setAttributeValue("fdemandtype", newFdemandtype);
    }

    public Integer getFmatchtype() {
        return (Integer)this.getAttributeValue("fmatchtype");
    }

    public void setFmatchtype(Integer newFmatchtype) {
        this.setAttributeValue("fmatchtype", newFmatchtype);
    }

    public String getVdemandtypecode() {
        return (String)this.getAttributeValue("vdemandtypecode");
    }

    public void setVdemandtypecode(String newVdemandtypecode) {
        this.setAttributeValue("vdemandtypecode", newVdemandtypecode);
    }

    public String getVdemandcode() {
        return (String)this.getAttributeValue("vdemandcode");
    }

    public void setVdemandcode(String newVdemandcode) {
        this.setAttributeValue("vdemandcode", newVdemandcode);
    }

    public String getCdemandbillid() {
        return (String)this.getAttributeValue("cdemandbillid");
    }

    public void setCdemandbillid(String newCdemandbillid) {
        this.setAttributeValue("cdemandbillid", newCdemandbillid);
    }

    public String getCdemandbillbid() {
        return (String)this.getAttributeValue("cdemandbillbid");
    }

    public void setCdemandbillbid(String newCdemandbillbid) {
        this.setAttributeValue("cdemandbillbid", newCdemandbillbid);
    }

    public String getVdemandrowno() {
        return (String)this.getAttributeValue("vdemandrowno");
    }

    public void setVdemandrowno(String newVdemandrowno) {
        this.setAttributeValue("vdemandrowno", newVdemandrowno);
    }

    public String getPk_demandorg() {
        return (String)this.getAttributeValue("pk_demandorg");
    }

    public void setPk_demandorg(String newPk_demandorg) {
        this.setAttributeValue("pk_demandorg", newPk_demandorg);
    }

    public String getPk_demandorg_v() {
        return (String)this.getAttributeValue("pk_demandorg_v");
    }

    public void setPk_demandorg_v(String newPk_demandorg_v) {
        this.setAttributeValue("pk_demandorg_v", newPk_demandorg_v);
    }

    public UFDate getDemandtime() {
        return (UFDate)this.getAttributeValue("demandtime");
    }

    public void setDemandtime(UFDate newDemandtime) {
        this.setAttributeValue("demandtime", newDemandtime);
    }

    public UFDate getDemandtbeforeadpter() {
        return (UFDate)this.getAttributeValue("demandtbeforeadpter");
    }

    public void setDemandtbeforeadpter(UFDate newDemandtbeforeadpter) {
        this.setAttributeValue("demandtbeforeadpter", newDemandtbeforeadpter);
    }

    public UFDouble getNdemandnum() {
        return (UFDouble)this.getAttributeValue("ndemandnum");
    }

    public void setNdemandnum(UFDouble newNdemandnum) {
        this.setAttributeValue("ndemandnum", newNdemandnum);
    }

    public UFDate getDmatchdate() {
        return (UFDate)this.getAttributeValue("dmatchdate");
    }

    public void setDmatchdate(UFDate newDmatchdate) {
        this.setAttributeValue("dmatchdate", newDmatchdate);
    }

    public UFDouble getNsupplynum() {
        return (UFDouble)this.getAttributeValue("nsupplynum");
    }

    public void setNsupplynum(UFDouble newNsupplynum) {
        this.setAttributeValue("nsupplynum", newNsupplynum);
    }

    public UFDouble getNbillnum() {
        return (UFDouble)this.getAttributeValue("nbillnum");
    }

    public void setNbillnum(UFDouble newNbillnum) {
        this.setAttributeValue("nbillnum", newNbillnum);
    }

    public UFDouble getNreservationnum() {
        return (UFDouble)this.getAttributeValue("nreservationnum");
    }

    public void setNreservationnum(UFDouble newNreservationnum) {
        this.setAttributeValue("nreservationnum", newNreservationnum);
    }

    public UFDouble getNnotimplementdnum() {
        return (UFDouble)this.getAttributeValue("nnotimplementdnum");
    }

    public void setNnotimplementdnum(UFDouble newNnotimplementdnum) {
        this.setAttributeValue("nnotimplementdnum", newNnotimplementdnum);
    }

    public UFDouble getNimplementdnum() {
        return (UFDouble)this.getAttributeValue("nimplementdnum");
    }

    public void setNimplementdnum(UFDouble newNimplementdnum) {
        this.setAttributeValue("nimplementdnum", newNimplementdnum);
    }

    public UFDouble getNremainnum() {
        return (UFDouble)this.getAttributeValue("nremainnum");
    }

    public void setNremainnum(UFDouble newNremainnum) {
        this.setAttributeValue("nremainnum", newNremainnum);
    }

    public UFDouble getNmaterialnum() {
        return (UFDouble)this.getAttributeValue("nmaterialnum");
    }

    public void setNmaterialnum(UFDouble newNmaterialnum) {
        this.setAttributeValue("nmaterialnum", newNmaterialnum);
    }

    public UFDouble getNsetsnum() {
        return (UFDouble)this.getAttributeValue("nsetsnum");
    }

    public void setNsetsnum(UFDouble newNsetsnum) {
        this.setAttributeValue("nsetsnum", newNsetsnum);
    }

    public String getVbomversion() {
        return (String)this.getAttributeValue("vbomversion");
    }

    public void setVbomversion(String newVbomversion) {
        this.setAttributeValue("vbomversion", newVbomversion);
    }

    public String getCbomversionid() {
        return (String)this.getAttributeValue("cbomversionid");
    }

    public void setCbomversionid(String newCbomversionid) {
        this.setAttributeValue("cbomversionid", newCbomversionid);
    }

    public String getCmaterialid() {
        return (String)this.getAttributeValue("cmaterialid");
    }

    public void setCmaterialid(String newCmaterialid) {
        this.setAttributeValue("cmaterialid", newCmaterialid);
    }

    public String getCmaterialvid() {
        return (String)this.getAttributeValue("cmaterialvid");
    }

    public void setCmaterialvid(String newCmaterialvid) {
        this.setAttributeValue("cmaterialvid", newCmaterialvid);
    }

    public String getCvendorid() {
        return (String)this.getAttributeValue("cvendorid");
    }

    public void setCvendorid(String newCvendorid) {
        this.setAttributeValue("cvendorid", newCvendorid);
    }

    public String getCproductorid() {
        return (String)this.getAttributeValue("cproductorid");
    }

    public void setCproductorid(String newCproductorid) {
        this.setAttributeValue("cproductorid", newCproductorid);
    }

    public String getCprojectid() {
        return (String)this.getAttributeValue("cprojectid");
    }

    public void setCprojectid(String newCprojectid) {
        this.setAttributeValue("cprojectid", newCprojectid);
    }

    public String getCcustomerid() {
        return (String)this.getAttributeValue("ccustomerid");
    }

    public void setCcustomerid(String newCcustomerid) {
        this.setAttributeValue("ccustomerid", newCcustomerid);
    }

    public String getVfree1() {
        return (String)this.getAttributeValue("vfree1");
    }

    public void setVfree1(String newVfree1) {
        this.setAttributeValue("vfree1", newVfree1);
    }

    public String getVfree2() {
        return (String)this.getAttributeValue("vfree2");
    }

    public void setVfree2(String newVfree2) {
        this.setAttributeValue("vfree2", newVfree2);
    }

    public String getVfree3() {
        return (String)this.getAttributeValue("vfree3");
    }

    public void setVfree3(String newVfree3) {
        this.setAttributeValue("vfree3", newVfree3);
    }

    public String getVfree4() {
        return (String)this.getAttributeValue("vfree4");
    }

    public void setVfree4(String newVfree4) {
        this.setAttributeValue("vfree4", newVfree4);
    }

    public String getVfree5() {
        return (String)this.getAttributeValue("vfree5");
    }

    public void setVfree5(String newVfree5) {
        this.setAttributeValue("vfree5", newVfree5);
    }

    public String getVfree6() {
        return (String)this.getAttributeValue("vfree6");
    }

    public void setVfree6(String newVfree6) {
        this.setAttributeValue("vfree6", newVfree6);
    }

    public String getVfree7() {
        return (String)this.getAttributeValue("vfree7");
    }

    public void setVfree7(String newVfree7) {
        this.setAttributeValue("vfree7", newVfree7);
    }

    public String getVfree8() {
        return (String)this.getAttributeValue("vfree8");
    }

    public void setVfree8(String newVfree8) {
        this.setAttributeValue("vfree8", newVfree8);
    }

    public String getVfree9() {
        return (String)this.getAttributeValue("vfree9");
    }

    public void setVfree9(String newVfree9) {
        this.setAttributeValue("vfree9", newVfree9);
    }

    public String getVfree10() {
        return (String)this.getAttributeValue("vfree10");
    }

    public void setVfree10(String newVfree10) {
        this.setAttributeValue("vfree10", newVfree10);
    }

    public String getCreator() {
        return (String)this.getAttributeValue("creator");
    }

    public void setCreator(String newCreator) {
        this.setAttributeValue("creator", newCreator);
    }

    public UFDateTime getCreationtime() {
        return (UFDateTime)this.getAttributeValue("creationtime");
    }

    public void setCreationtime(UFDateTime newCreationtime) {
        this.setAttributeValue("creationtime", newCreationtime);
    }

    public String getVsrctype() {
        return (String)this.getAttributeValue("vsrctype");
    }

    public void setVsrctype(String newVsrctype) {
        this.setAttributeValue("vsrctype", newVsrctype);
    }

    public String getVsrccode() {
        return (String)this.getAttributeValue("vsrccode");
    }

    public void setVsrccode(String newVsrccode) {
        this.setAttributeValue("vsrccode", newVsrccode);
    }

    public String getVsrcid() {
        return (String)this.getAttributeValue("vsrcid");
    }

    public void setVsrcid(String newVsrcid) {
        this.setAttributeValue("vsrcid", newVsrcid);
    }

    public String getVsrcbid() {
        return (String)this.getAttributeValue("vsrcbid");
    }

    public void setVsrcbid(String newVsrcbid) {
        this.setAttributeValue("vsrcbid", newVsrcbid);
    }

    public String getVsrcrowno() {
        return (String)this.getAttributeValue("vsrcrowno");
    }

    public void setVsrcrowno(String newVsrcrowno) {
        this.setAttributeValue("vsrcrowno", newVsrcrowno);
    }

    public String getVfirsttype() {
        return (String)this.getAttributeValue("vfirsttype");
    }

    public void setVfirsttype(String newVfirsttype) {
        this.setAttributeValue("vfirsttype", newVfirsttype);
    }

    public String getVfirstcode() {
        return (String)this.getAttributeValue("vfirstcode");
    }

    public void setVfirstcode(String newVfirstcode) {
        this.setAttributeValue("vfirstcode", newVfirstcode);
    }

    public String getVfirstid() {
        return (String)this.getAttributeValue("vfirstid");
    }

    public void setVfirstid(String newVfirstid) {
        this.setAttributeValue("vfirstid", newVfirstid);
    }

    public String getVfirstbid() {
        return (String)this.getAttributeValue("vfirstbid");
    }

    public void setVfirstbid(String newVfirstbid) {
        this.setAttributeValue("vfirstbid", newVfirstbid);
    }

    public String getVfirstrowno() {
        return (String)this.getAttributeValue("vfirstrowno");
    }

    public void setVfirstrowno(String newVfirstrowno) {
        this.setAttributeValue("vfirstrowno", newVfirstrowno);
    }

    public String getVfatherid() {
        return (String)this.getAttributeValue("vfatherid");
    }

    public void setVfatherid(String newVfatherid) {
        this.setAttributeValue("vfatherid", newVfatherid);
    }

    public String getVmatchfatherid() {
        return (String)this.getAttributeValue("vmatchfatherid");
    }

    public void setVmatchfatherid(String newVmatchfatherid) {
        this.setAttributeValue("vmatchfatherid", newVmatchfatherid);
    }

    public String getComputecode() {
        return (String)this.getAttributeValue("computecode");
    }

    public void setComputecode(String newComputecode) {
        this.setAttributeValue("computecode", newComputecode);
    }

    public Integer getLevelcode() {
        return (Integer)this.getAttributeValue("levelcode");
    }

    public void setLevelcode(Integer newLevelcode) {
        this.setAttributeValue("levelcode", newLevelcode);
    }

    public String getCgroupkey() {
        return (String)this.getAttributeValue("cgroupkey");
    }

    public void setCgroupkey(String newCgroupkey) {
        this.setAttributeValue("cgroupkey", newCgroupkey);
    }

    public UFDouble getHnparentnum() {
        return (UFDouble)this.getAttributeValue("hnparentnum");
    }

    public void setHnparentnum(UFDouble newHnparentnum) {
        this.setAttributeValue("hnparentnum", newHnparentnum);
    }

    public UFDouble getNitemnum() {
        return (UFDouble)this.getAttributeValue("nitemnum");
    }

    public void setNitemnum(UFDouble newNitemnum) {
        this.setAttributeValue("nitemnum", newNitemnum);
    }

    public UFDouble getNmatchnum() {
        return (UFDouble)this.getAttributeValue("nmatchnum");
    }

    public void setNmatchnum(UFDouble newNmatchnum) {
        this.setAttributeValue("nmatchnum", newNmatchnum);
    }

    public String getCmeasureid() {
        return (String)this.getAttributeValue("cmeasureid");
    }

    public void setCmeasureid(String newCmeasureid) {
        this.setAttributeValue("cmeasureid", newCmeasureid);
    }

    public UFDouble getNdissipationum() {
        return (UFDouble)this.getAttributeValue("ndissipationum");
    }

    public void setNdissipationum(UFDouble newNdissipationum) {
        this.setAttributeValue("ndissipationum", newNdissipationum);
    }

    public String getVdef1() {
        return (String)this.getAttributeValue("vdef1");
    }

    public void setVdef1(String newVdef1) {
        this.setAttributeValue("vdef1", newVdef1);
    }

    public String getVdef2() {
        return (String)this.getAttributeValue("vdef2");
    }

    public void setVdef2(String newVdef2) {
        this.setAttributeValue("vdef2", newVdef2);
    }

    public String getVdef3() {
        return (String)this.getAttributeValue("vdef3");
    }

    public void setVdef3(String newVdef3) {
        this.setAttributeValue("vdef3", newVdef3);
    }

    public String getVdef4() {
        return (String)this.getAttributeValue("vdef4");
    }

    public void setVdef4(String newVdef4) {
        this.setAttributeValue("vdef4", newVdef4);
    }

    public String getVdef5() {
        return (String)this.getAttributeValue("vdef5");
    }

    public void setVdef5(String newVdef5) {
        this.setAttributeValue("vdef5", newVdef5);
    }

    public String getVdef6() {
        return (String)this.getAttributeValue("vdef6");
    }

    public void setVdef6(String newVdef6) {
        this.setAttributeValue("vdef6", newVdef6);
    }

    public String getVdef7() {
        return (String)this.getAttributeValue("vdef7");
    }

    public void setVdef7(String newVdef7) {
        this.setAttributeValue("vdef7", newVdef7);
    }

    public String getVdef8() {
        return (String)this.getAttributeValue("vdef8");
    }

    public void setVdef8(String newVdef8) {
        this.setAttributeValue("vdef8", newVdef8);
    }

    public String getVdef9() {
        return (String)this.getAttributeValue("vdef9");
    }

    public void setVdef9(String newVdef9) {
        this.setAttributeValue("vdef9", newVdef9);
    }

    public String getVdef10() {
        return (String)this.getAttributeValue("vdef10");
    }

    public void setVdef10(String newVdef10) {
        this.setAttributeValue("vdef10", newVdef10);
    }

    public String getVdef11() {
        return (String)this.getAttributeValue("vdef11");
    }

    public void setVdef11(String newVdef11) {
        this.setAttributeValue("vdef11", newVdef11);
    }

    public String getVdef12() {
        return (String)this.getAttributeValue("vdef12");
    }

    public void setVdef12(String newVdef12) {
        this.setAttributeValue("vdef12", newVdef12);
    }

    public String getVdef13() {
        return (String)this.getAttributeValue("vdef13");
    }

    public void setVdef13(String newVdef13) {
        this.setAttributeValue("vdef13", newVdef13);
    }

    public String getVdef14() {
        return (String)this.getAttributeValue("vdef14");
    }

    public void setVdef14(String newVdef14) {
        this.setAttributeValue("vdef14", newVdef14);
    }

    public String getVdef15() {
        return (String)this.getAttributeValue("vdef15");
    }

    public void setVdef15(String newVdef15) {
        this.setAttributeValue("vdef15", newVdef15);
    }

    public String getVdef16() {
        return (String)this.getAttributeValue("vdef16");
    }

    public void setVdef16(String newVdef16) {
        this.setAttributeValue("vdef16", newVdef16);
    }

    public String getVdef17() {
        return (String)this.getAttributeValue("vdef17");
    }

    public void setVdef17(String newVdef17) {
        this.setAttributeValue("vdef17", newVdef17);
    }

    public String getVdef18() {
        return (String)this.getAttributeValue("vdef18");
    }

    public void setVdef18(String newVdef18) {
        this.setAttributeValue("vdef18", newVdef18);
    }

    public String getVdef19() {
        return (String)this.getAttributeValue("vdef19");
    }

    public void setVdef19(String newVdef19) {
        this.setAttributeValue("vdef19", newVdef19);
    }

    public String getVdef20() {
        return (String)this.getAttributeValue("vdef20");
    }

    public void setVdef20(String newVdef20) {
        this.setAttributeValue("vdef20", newVdef20);
    }

    public Integer getIbasenum() {
        return (Integer)this.getAttributeValue("ibasenum");
    }

    public void setIbasenum(Integer newIbasenum) {
        this.setAttributeValue("ibasenum", newIbasenum);
    }

    public String getCcustmaterialid() {
        return (String)this.getAttributeValue("ccustmaterialid");
    }

    public void setCcustmaterialid(String newCcustmaterialid) {
        this.setAttributeValue("ccustmaterialid", newCcustmaterialid);
    }

    public String getCpackbomid() {
        return (String)this.getAttributeValue("cpackbomid");
    }

    public void setCpackbomid(String newCpackbomid) {
        this.setAttributeValue("cpackbomid", newCpackbomid);
    }

    public String getProduction() {
        return (String)this.getAttributeValue("production");
    }

    public void setProduction(String newProduction) {
        this.setAttributeValue("production", newProduction);
    }

    public String getNreplacequotiety() {
        return (String)this.getAttributeValue("nreplacequotiety");
    }

    public void setNreplacequotiety(String newNreplacequotiety) {
        this.setAttributeValue("nreplacequotiety", newNreplacequotiety);
    }

    public Integer getNreplaceorder() {
        return (Integer)this.getAttributeValue("nreplaceorder");
    }

    public void setNreplaceorder(Integer newNreplaceorder) {
        this.setAttributeValue("nreplaceorder", newNreplaceorder);
    }

    public UFDouble getNunitnum() {
        return (UFDouble)this.getAttributeValue("nunitnum");
    }

    public void setNunitnum(UFDouble newNunitnum) {
        this.setAttributeValue("nunitnum", newNunitnum);
    }

    public UFDouble getNusednum() {
        return (UFDouble)this.getAttributeValue("nusednum");
    }

    public void setNusednum(UFDouble newNusednum) {
        this.setAttributeValue("nusednum", newNusednum);
    }

    public UFDouble getNnotusednum() {
        return (UFDouble)this.getAttributeValue("nnotusednum");
    }

    public void setNnotusednum(UFDouble newNnotusednum) {
        this.setAttributeValue("nnotusednum", newNnotusednum);
    }

    public UFDouble getNaccoutnum() {
        return (UFDouble)this.getAttributeValue("naccoutnum");
    }

    public void setNaccoutnum(UFDouble newNaccoutnum) {
        this.setAttributeValue("naccoutnum", newNaccoutnum);
    }

    public String getCdeptid() {
        return (String)this.getAttributeValue("cdeptid");
    }

    public void setCdeptid(String newCdeptid) {
        this.setAttributeValue("cdeptid", newCdeptid);
    }

    public Integer getAnalysisorder() {
        return (Integer)this.getAttributeValue("analysisorder");
    }

    public void setAnalysisOrder(Integer newAnalysisorder) {
        this.setAttributeValue("analysisorder", newAnalysisorder);
    }

    public String getCdeptvid() {
        return (String)this.getAttributeValue("cdeptvid");
    }

    public void setCdeptvid(String newCdeptvid) {
        this.setAttributeValue("cdeptvid", newCdeptvid);
    }

    public UFDouble getWasterrate() {
        return (UFDouble)this.getAttributeValue("wasterrate");
    }

    public void setWasterrate(UFDouble newWasterrate) {
        this.setAttributeValue("wasterrate", newWasterrate);
    }

    public Integer getFreplacetype() {
        return (Integer)this.getAttributeValue("freplacetype");
    }

    public void setFreplacetype(Integer newfreplacetype) {
        this.setAttributeValue("freplacetype", newfreplacetype);
    }

    public Integer getDr() {
        return (Integer)this.getAttributeValue("dr");
    }

    public void setDr(Integer newDr) {
        this.setAttributeValue("dr", newDr);
    }

    public UFDateTime getTs() {
        return (UFDateTime)this.getAttributeValue("ts");
    }

    public void setTs(UFDateTime newTs) {
        this.setAttributeValue("ts", newTs);
    }

    public String getCffileid() {
        return (String)this.getAttributeValue("cffileid");
    }

    public void setCffileid(String newCffileid) {
        this.setAttributeValue("cffileid", newCffileid);
    }

    public UFDouble getGoodsnum() {
        return (UFDouble)this.getAttributeValue("goodsnum");
    }

    public void setGoodsnum(UFDouble goodsnum) {
        this.setAttributeValue("goodsnum", goodsnum);
    }

    public UFDouble getPass_goodsnum() {
        return (UFDouble)this.getAttributeValue("pass_goodsnum");
    }

    public void setPass_goodsnum(UFDouble pass_goodsnum) {
        this.setAttributeValue("pass_goodsnum", pass_goodsnum);
    }

    public String getVmgroupcode() {
        return (String)this.getAttributeValue("vmgroupcode");
    }

    public void setVmgroupcode(String vmgroupcode) {
        this.setAttributeValue("vmgroupcode", vmgroupcode);
    }

    public String getVrgroupcode() {
        return (String)this.getAttributeValue("vrgroupcode");
    }

    public void setVrgroupcode(String vrgroupcode) {
        this.setAttributeValue("vrgroupcode", vrgroupcode);
    }

    public String getCmainmaterialid() {
        return (String)this.getAttributeValue("cmainmaterialid");
    }

    public void setCmainmaterialid(String cmainmaterialid) {
        this.setAttributeValue("cmainmaterialid", cmainmaterialid);
    }

    public String getCmainmaterialvid() {
        return (String)this.getAttributeValue("cmainmaterialvid");
    }

    public void setCmainmaterialvid(String cmainmaterialvid) {
        this.setAttributeValue("cmainmaterialvid", cmainmaterialvid);
    }

    public UFBoolean getBgrouprepl() {
        return (UFBoolean)this.getAttributeValue("bgrouprepl");
    }

    public void setBgrouprepl(UFBoolean bgrouprepl) {
        this.setAttributeValue("bgrouprepl", bgrouprepl);
    }

    public UFBoolean getBgroupkey() {
        return (UFBoolean)this.getAttributeValue("bgroupkey");
    }

    public void setBgroupkey(UFBoolean bgroupkey) {
        this.setAttributeValue("bgroupkey", bgroupkey);
    }

    public UFDouble getNreplacesetsnum() {
        return (UFDouble)this.getAttributeValue("nreplacesetsnum");
    }

    public void setNreplacesetsnum(UFDouble nreplacesetsnum) {
        this.setAttributeValue("nreplacesetsnum", nreplacesetsnum);
    }

    public String getParentPKFieldName() {
        return "pk_analysis";
    }

    public String getPKFieldName() {
        return "pk_demand";
    }

    public String getTableName() {
        return "mm_sademand";
    }

    public SaDemandVO() {
    }

    public IVOMeta getMetaData() {
        IVOMeta meta = VOMetaFactory.getInstance().getVOMeta("mmpub.mm_sademand");
        return meta;
    }
}
